version: "3"
services:
  vote:
    image: dockersamples/examplevotingapp_vote:before
    ports:
      - 5000:80
    networks:
      - frontend
  redis:
    image: redis:3.2
    networks:
      - frontend
  worker:
    image: redis:3.2
    networks:
      - frontend
      - backend
  db:
    image: postgres:9.4
    environment:
      POSTGRES_HOST_AUTH_METHOD: trust
      # POSTGRES_USER: voting_app
      # POSTGRES_DB: voting_db
      # POSTGRES_PASSWORD: password

    networks:
      - backend
    volumes:
      - /var/lib/postgresql/data
  result:
    image: dockersamples/examplevotingapp_result:before
    ports:
      - 5001:80
    networks:
      - backend

# volumes:

networks:
  frontend:
  backend:
